### R code from vignette source 'euptf_vignette.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: euptf_vignette.Rnw:23-33 (eval = FALSE)
###################################################
## # install dependencies if need be
## IP <- installed.packages()[,1]
## if (!"rpart" %in% IP){install.packages("rpart")}
## if (!"gWidgets" %in% IP){install.packages("gWidgets")}
## if (!"gWidgetstcltk" %in% IP){install.packages("gWidgetstcltk")}
## if (!"raster" %in% IP){install.packages("raster")}
## # install package
## install.packages("euptf_1.4.tar.gz", repos=NULL, type="source")
## require(euptf)
## help(euptf)


###################################################
### code chunk number 2: euptf_vignette.Rnw:35-36
###################################################
require(euptf)


###################################################
### code chunk number 3: euptf_vignette.Rnw:42-44
###################################################
data(ptf.data)
str(ptf.data)


###################################################
### code chunk number 4: euptf_vignette.Rnw:47-53
###################################################
# set FAO texture class
ptf.data$TEXT_FAO_MOD <- psd2classFAO_MOD(ptf.data$USSAND, ptf.data$USSILT, ptf.data$USCLAY, 
    ptf.data$OC, option=TRUE)
# set USDA texture class
ptf.data$TEXT_US <- psd2classUS(ptf.data$USSAND, ptf.data$USSILT, ptf.data$USCLAY, 
    ptf.data$OC, option=TRUE)


###################################################
### code chunk number 5: euptf_vignette.Rnw:58-68 (eval = FALSE)
###################################################
## ## import data from csv file:
## mydata <- read.csv("myworksheet.csv")
## ## or with package xlsx:
## # install the package if not yet done:
## if (!"xlsx" %in% IP){install.packages("xlsx")}
## # load the package:
## require("xlsx")
## # import data from xlsx file:
## mydata <- read.xlsx("myworkbook.xlsx", sheetName="myworksheet")
## # see ?read.xlsx for more options


###################################################
### code chunk number 6: euptf_vignette.Rnw:80-81 (eval = FALSE)
###################################################
## ?PTF09


###################################################
### code chunk number 7: euptf_vignette.Rnw:84-86
###################################################
ex1 <- predict.ptf(newdata = ptf.data, ptf = "PTF09")
str(ex1)


###################################################
### code chunk number 8: euptf_vignette.Rnw:91-92 (eval = FALSE)
###################################################
## ?PTF21


###################################################
### code chunk number 9: euptf_vignette.Rnw:95-97
###################################################
ex2 <- predict.ptf(newdata = ptf.data, ptf = "PTF21")
str(ex2)


###################################################
### code chunk number 10: euptf_vignette.Rnw:100-102
###################################################
ex2 <- predict.ptf(newdata = ptf.data, ptf = "PTF21", h = 100)
str(ex2)


###################################################
### code chunk number 11: euptf_vignette.Rnw:105-107
###################################################
ex2 <- ex2[,2,]
str(ex2)


###################################################
### code chunk number 12: euptf_vignette.Rnw:111-112 (eval = FALSE)
###################################################
## ?PTF19


###################################################
### code chunk number 13: euptf_vignette.Rnw:116-120
###################################################
ptf.data$TEXT_US <- psd2classUS(ptf.data$USSAND, ptf.data$USSILT, ptf.data$USCLAY, 
    ptf.data$OC, option=TRUE)
ex3 <- predict.ptf(newdata = ptf.data, ptf = "PTF19")
str(ex3)


###################################################
### code chunk number 14: euptf_vignette.Rnw:123-125
###################################################
ex3 <- predict.ptf(newdata = ptf.data, ptf = "PTF19", h = 10^(seq(0,4.5,by = 0.1)))
str(ex3)


###################################################
### code chunk number 15: euptf_vignette.Rnw:129-139
###################################################
# divide the figure into 2 plotting areas
par(mfrow=c(1,2))
# select calculated values for the fifth sample
i <- 5
# plot h vs theta in the first plotting area
plot(ex3[,1,i], ex3[,2,i], type = "l", log = "x", xlab = "suction head (cm)",
    ylab = "Volumetric water content")
# plot h vs K in the second plotting area
plot(ex3[,1,i], ex3[,4,i], type = "l", log = "xy", xlab = "suction head (cm)",
    ylab = "Hydraulic conductivity (cm/d)")


###################################################
### code chunk number 16: euptf_vignette.Rnw:152-160 (eval = FALSE)
###################################################
## FC <- data.frame(FC1 = ex1, FC2 = predict.ptf(newdata = ptf.data, ptf = "PTF21", h = 330)[,2,])
## str(FC)
## ## example to save the predicted values to a csv file:
## write.csv(FC, file = "myFC.csv")
## # see ?write.csv for additional options
## ## example to save predicted values to xlsx file:
## require("xlsx")
## write.xlsx(x = FC, file = "myoutput.xlsx", sheetName = "myFC", row.names = FALSE)


